Subject: [Tsvwg] Why only one association between two SCTP endpoints

From: ye guanhua <[email-masked]>
Date: Thu, 20 Sep 2001 10:23:02 -0700 (PDT)

Hi,

In RFC2960 section 1.4, it says that "Two SCTP
endpoints MUST NOT have more than one association
between them at any given time". Can anyone give the
reason behind this?

Regards,
Guanhua Ye

=====

__________________________________________________
Terrorist Attacks on U.S. - How can you help?
Donate cash, emergency relief information
http://dailynews.yahoo.com/fc/US/Emergency_Information/

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Jacob Heitz <[email-masked]>
Date: Thu, 20 Sep 2001 10:35:41 -0700

That's really because an association is defined by its
two endpoints. So if there were two associations
between two endpoints, they would have to be the
same association: proof by contradiction.

Remember, an endpoint is not a host. A host can
have many endpoints. You can have as many associations
as you like between two hosts.

-- 
// Jacob Heitz, Planet of the APX. Tel:510-747-2917

---

From: "Armando L. Caro Jr." <[email-masked]>
Date: Thu, 20 Sep 2001 14:29:05 -0400 (EDT)

> as you like between two hosts.

To clarify, an SCTP endpoint is defined by a set of IP addresses and a
port.

~armando

-----------------------------------------------------------------------
Armando L. Caro Jr.                                  [email-masked]
University of Delaware                   http://www.cis.udel.edu/~acaro
-----------------------------------------------------------------------

---

From: Randall Stewart <[email-masked]>
Date: Thu, 20 Sep 2001 14:47:54 -0500

> To clarify, an SCTP endpoint is defined by a set of IP addresses and a

and one more small bit...

An endpoint may have MANY associations between it and different peer
endpoints... the restriction is on two unique endpoints... if you
work through the logic in the INIT handling and collision cases
you will also see that it assures that only one association
is resovled to ..

R

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)